# TColorCMYK Class Reference
[MCImage]

List of all members.

## Public Member Functions
| TColorCMYK ()
| TColorCMYK (const TColorCMYK &cmyk)
| TColorCMYK (uint8 count, uint16 channel[])
void | FromCMYK (const uint8, const uint16[])
void | FromCMYK (const TColorCMYK &)
uint16 & | operator[] (int8 i)
uint16 | operator[] (int8 i) const
boolean | operator== (const TColorCMYK &c2) const
void | Init ()
TColorCMYK & | operator= (const TColorCMYK &cmyk)
uint8 | ChannelCount () const
uint16 | Cyan () const
uint16 | Magenta () const
uint16 | Yellow () const
uint16 | Black () const
uint16 | Green () const
uint16 | Orange () const
uint16 & | Cyan ()
uint16 & | Magenta ()
uint16 & | Yellow ()
uint16 & | Black ()
uint16 & | Green ()
uint16 & | Orange ()
## Private Attributes
uint16 | fComps [16]
| can be more than 4 channels (Hexachrome)
uint8 | fChannelCount

## Detailed Description

Represents a color defined by the channels Cyan, Magenta, Yellow, BlacK, and optionally Green and Orange

## Constructor & Destructor Documentation

TColorCMYK::TColorCMYK | ( |  | ) | `[inline]`

TColorCMYK::TColorCMYK | ( | const TColorCMYK & | cmyk | ) | `[inline]`

TColorCMYK::TColorCMYK | ( | uint8 | count,
|  | uint16 | channel[] |
| ) |  |  | `[inline]`

## Member Function Documentation

uint16& TColorCMYK::Black | ( |  | ) | `[inline]`

uint16 TColorCMYK::Black | ( |  | ) | const`[inline]`

uint8 TColorCMYK::ChannelCount | ( |  | ) | const`[inline]`

uint16& TColorCMYK::Cyan | ( |  | ) | `[inline]`

uint16 TColorCMYK::Cyan | ( |  | ) | const`[inline]`

void TColorCMYK::FromCMYK | ( | const TColorCMYK & |  | ) |

void TColorCMYK::FromCMYK | ( | const | uint8,
|  | const | uint16[] |
| ) |  |  |

uint16& TColorCMYK::Green | ( |  | ) | `[inline]`

uint16 TColorCMYK::Green | ( |  | ) | const`[inline]`

void TColorCMYK::Init | ( |  | ) |

uint16& TColorCMYK::Magenta | ( |  | ) | `[inline]`

uint16 TColorCMYK::Magenta | ( |  | ) | const`[inline]`

TColorCMYK& TColorCMYK::operator= | ( | const TColorCMYK & | cmyk | ) | `[inline]`

boolean TColorCMYK::operator== | ( | const TColorCMYK & | c2 | ) | const`[inline]`

uint16 TColorCMYK::operator[] | ( | int8 | i | ) | const`[inline]`

uint16& TColorCMYK::operator[] | ( | int8 | i | ) | `[inline]`

uint16& TColorCMYK::Orange | ( |  | ) | `[inline]`

uint16 TColorCMYK::Orange | ( |  | ) | const`[inline]`

uint16& TColorCMYK::Yellow | ( |  | ) | `[inline]`

uint16 TColorCMYK::Yellow | ( |  | ) | const`[inline]`

## Member Data Documentation

uint8 TColorCMYK::fChannelCount`[private]`

uint16 TColorCMYK::fComps[16]`[private]`

can be more than 4 channels (Hexachrome)

The documentation for this class was generated from the following file:

- ColorCMYK.h